#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7
id: hOpenPGP-2.7-2rHTX4hNihw2wGUirY4JFL
key: hOpenPGP-2.7-2rHTX4hNihw2wGUirY4JFL
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: 69db37efca53b6dd0bd3d7498e83c7df
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.2/site-local/hOpenPGP-2.7
library-dirs: /usr/lib/ghc-8.4.2/site-local/hOpenPGP-2.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/hOpenPGP-2.7
hs-libraries: HShOpenPGP-2.7-2rHTX4hNihw2wGUirY4JFL
depends:
    aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI
    asn1-encoding-0.9.5-8d3FZLKQS6cJMADPPNA7Nc
    attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.2-FALuvalrkCYDSWDKgLFo3g bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3-AWwrlnJplo878fwpWc1OUx
    conduit-1.3.0.2-GyLzUsyJmnnDyskcADAbBv
    conduit-extra-1.3.0-BVY9Mn8QzWjBWRhhrkHuSX containers-0.5.11.0
    cryptonite-0.25-90uxV0bWEYmfC6QouwM7s
    crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo
    errors-2.3.0-EJnZZCZdNssAn1qL5ReTX0
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.1.1-9tcCdHjT824EBkHNZJIK9C
    ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ
    lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.2.0-DA0OqbuesflL1n422LxtaL
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-2p0I27zM9bt6X5SzI9wnKM
    prettyprinter-1.2.0.1-HdkyTCPByd35N8baNaC0Ax
    resourcet-1.2.1-7ZHbdeVtB2cGbEOy5D8ZAM
    split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6 text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb
    transformers-0.5.5.0 unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI=0723bd416c7eb9913ef3ae16b346bf30
             asn1-encoding-0.9.5-8d3FZLKQS6cJMADPPNA7Nc=f603dd731de17a66948940293c62c6e7
             attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D=bb3660ce70d29d644cde35d789165619
             base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=39dfe9068523cd9f792b1a7393cda8b3
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             bifunctors-5.5.2-FALuvalrkCYDSWDKgLFo3g=94384e69985596be7257f4dfe5936106
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=c2e610370d9796b6b529ed73eee5e055
             binary-0.8.5.1=253349ae905e3b03d89d37316bf920b7
             binary-conduit-1.3-AWwrlnJplo878fwpWc1OUx=e2bec0b3c3364b47a527df9dc2efc04f
             conduit-1.3.0.2-GyLzUsyJmnnDyskcADAbBv=405929a51feaf8368c77f501d45b6804
             conduit-extra-1.3.0-BVY9Mn8QzWjBWRhhrkHuSX=bbea50353b028230476bb459c82c1e81
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             cryptonite-0.25-90uxV0bWEYmfC6QouwM7s=fe88b1a2ffec9ea7c1970408b9b1825d
             crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo=5868983804173309c80723f92f581b66
             errors-2.3.0-EJnZZCZdNssAn1qL5ReTX0=680a68a390085e58dcbc8f07a7251338
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             incremental-parser-0.3.1.1-9tcCdHjT824EBkHNZJIK9C=8a0f2192bb311b82b53c1a965bb3172f
             ixset-typed-0.4-3Nb01EY8AjyH21NgeVRJpQ=b8aecb2009b11d4fe554031e525c32f7
             lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR=905a1b476a76c47c50afaa3dc0b6f349
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ed2d5adcedeb6833cc2a392fb853e830
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=71c764e045aeef7d38e4117eaf2d325a
             nettle-0.2.0-DA0OqbuesflL1n422LxtaL=7de6a793e56bd3fded55efaace75602c
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=a6d92b4fd39d4113b8f1698755fffed4
             openpgp-asciiarmor-0.1.1-2p0I27zM9bt6X5SzI9wnKM=1f85296727f3758483b8d51a7345994d
             prettyprinter-1.2.0.1-HdkyTCPByd35N8baNaC0Ax=a36b8724b97a37b0375d8bc47fbbae80
             resourcet-1.2.1-7ZHbdeVtB2cGbEOy5D8ZAM=0516f151c6314e088cef518bb2478c86
             split-0.2.3.3-Ai2RfO3v9Qt6hbFzlVeRv6=552edb5fe3e96de6d9599ba4b8c78476
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             time-locale-compat-0.1.1.4-7wM80GF7eQsF3fUTGOdEvb=34b73a69c5a84d64fc36f71f407f4d5b
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             unliftio-core-0.1.1.0-LMRC2BJekXQHTjQ89kypYp=4c5529307e59f83eb0edc9e3bb0da174
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=de1ac2074f90e9397bcb253d3ffe265d
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

